<?php 

 echo '<!-- DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"' . "\n";

echo '    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" -->' . "\n";

echo '<!-- <html xmlns="http://www.w3.org/1999/xhtml"> -->' . "\n";

echo '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">' . "\n";

echo '<html dir="' . ( ( isset($this->_tpldata['.'][0]['S_CONTENT_DIRECTION']) ) ? $this->_tpldata['.'][0]['S_CONTENT_DIRECTION'] : '' ) . '">' . "\n";

echo '<head>' . "\n";

echo '<meta http-equiv="Content-Type" content="text/html; charset=' . ( ( isset($this->_tpldata['.'][0]['S_CONTENT_ENCODING']) ) ? $this->_tpldata['.'][0]['S_CONTENT_ENCODING'] : '' ) . '"  />' . "\n";

echo '<meta http-equiv="Content-Style-Type" content="text/css" />' . "\n";

echo '<style type="text/css">' . "\n";

echo '<!--' . "\n";

echo '-->' . "\n";

echo '</style>' . "\n";

echo '' . ( ( isset($this->_tpldata['.'][0]['META']) ) ? $this->_tpldata['.'][0]['META'] : '' ) . '' . "\n";

echo '<title>' . ( ( isset($this->_tpldata['.'][0]['SITENAME']) ) ? $this->_tpldata['.'][0]['SITENAME'] : '' ) . ' :: ' . ( ( isset($this->_tpldata['.'][0]['PAGE_TITLE']) ) ? $this->_tpldata['.'][0]['PAGE_TITLE'] : '' ) . '</title>' . "\n";

echo '<!-- link rel="stylesheet" href="templates/DesertStorm/' . ( ( isset($this->_tpldata['.'][0]['T_HEAD_STYLESHEET']) ) ? $this->_tpldata['.'][0]['T_HEAD_STYLESHEET'] : '' ) . '" type="text/css" -->' . "\n";

echo '<style type="text/css">' . "\n";

echo '<!--' . "\n";

echo '' . "\n";

echo '/*' . "\n";

echo '  The original DesertStorm Theme for phpBB version 2+' . "\n";

echo '  Created by subBlue design' . "\n";

echo '  http://www.subBlue.com' . "\n";

echo '' . "\n";

echo '  NOTE: These CSS definitions are stored within the main page body so that you can use the phpBB2' . "\n";

echo '  theme administration centre. When you have finalised your style you could cut the final CSS code' . "\n";

echo '  and place it in an external file, deleting this section to save bandwidth.' . "\n";

echo '*/' . "\n";

echo '' . "\n";

echo '' . "\n";

echo ' /* General page style. The scroll bar colours only visible in IE5.5+ */' . "\n";

echo 'body {' . "\n";

echo '	background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_BGCOLOR']) ) ? $this->_tpldata['.'][0]['T_BODY_BGCOLOR'] : '' ) . ';' . "\n";

echo '	scrollbar-face-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR2'] : '' ) . ';' . "\n";

echo '	scrollbar-highlight-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TD_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TD_COLOR2'] : '' ) . ';' . "\n";

echo '	scrollbar-shadow-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR2'] : '' ) . ';' . "\n";

echo '	scrollbar-3dlight-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR3']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR3'] : '' ) . ';' . "\n";

echo '	scrollbar-arrow-color:  ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . ';' . "\n";

echo '	scrollbar-track-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR1']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR1'] : '' ) . ';' . "\n";

echo '	scrollbar-darkshadow-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TH_COLOR1']) ) ? $this->_tpldata['.'][0]['T_TH_COLOR1'] : '' ) . ';' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo '/* General font families for common tags */' . "\n";

echo 'font,th,td,p { font-family: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTFACE1']) ) ? $this->_tpldata['.'][0]['T_FONTFACE1'] : '' ) . ' }' . "\n";

echo 'a:link,a:active,a:visited { color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . '; }' . "\n";

echo 'a:hover		{ text-decoration: underline; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_HLINK']) ) ? $this->_tpldata['.'][0]['T_BODY_HLINK'] : '' ) . '; }' . "\n";

echo 'hr	{ height: 0px; border: solid ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR3']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR3'] : '' ) . ' 0px; border-top-width: 1px;}' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* This is the border line & background colour round the entire page */' . "\n";

echo '.bodyline	{ background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TD_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TD_COLOR2'] : '' ) . '; border: 1px ' . ( ( isset($this->_tpldata['.'][0]['T_TH_COLOR1']) ) ? $this->_tpldata['.'][0]['T_TH_COLOR1'] : '' ) . ' solid; }' . "\n";

echo '' . "\n";

echo '/* This is the outline round the main forum tables */' . "\n";

echo '.forumline	{ background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TD_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TD_COLOR2'] : '' ) . '; border: 2px ' . ( ( isset($this->_tpldata['.'][0]['T_TH_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TH_COLOR2'] : '' ) . ' solid; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* Main table cell colours and backgrounds */' . "\n";

echo 'td.row1	{ background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR1']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR1'] : '' ) . '; }' . "\n";

echo 'td.row2	{ background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR2'] : '' ) . '; }' . "\n";

echo 'td.row3	{ background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR3']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR3'] : '' ) . '; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/*' . "\n";

echo '  This is for the table cell above the Topics, Post & Last posts on the index.php page' . "\n";

echo '  By default this is the fading out gradiated silver background.' . "\n";

echo '  However, you could replace this with a bitmap specific for each forum' . "\n";

echo '*/' . "\n";

echo 'td.rowpic {' . "\n";

echo '		background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TD_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TD_COLOR2'] : '' ) . ';' . "\n";

echo '		background-image: url(templates/DesertStorm/images/' . ( ( isset($this->_tpldata['.'][0]['T_TH_CLASS3']) ) ? $this->_tpldata['.'][0]['T_TH_CLASS3'] : '' ) . ');' . "\n";

echo '		background-repeat: repeat-y;' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo '/* Header cells - the blue and silver gradient backgrounds */' . "\n";

echo 'th	{' . "\n";

echo '	color: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTCOLOR3']) ) ? $this->_tpldata['.'][0]['T_FONTCOLOR3'] : '' ) . '; font-size: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE2']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE2'] : '' ) . 'px; font-weight : bold;' . "\n";

echo '	background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . '; height: 25px;' . "\n";

echo '	background-image: url(templates/DesertStorm/images/' . ( ( isset($this->_tpldata['.'][0]['T_TH_CLASS2']) ) ? $this->_tpldata['.'][0]['T_TH_CLASS2'] : '' ) . ');' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo 'td.cat,td.catHead,td.catSides,td.catLeft,td.catRight,td.catBottom {' . "\n";

echo '			background-image: url(templates/DesertStorm/images/' . ( ( isset($this->_tpldata['.'][0]['T_TH_CLASS1']) ) ? $this->_tpldata['.'][0]['T_TH_CLASS1'] : '' ) . ');' . "\n";

echo '			background-color:' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR3']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR3'] : '' ) . '; border: ' . ( ( isset($this->_tpldata['.'][0]['T_TH_COLOR3']) ) ? $this->_tpldata['.'][0]['T_TH_COLOR3'] : '' ) . '; border-style: solid; height: 28px;' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/*' . "\n";

echo '  Setting additional nice inner borders for the main table cells.' . "\n";

echo '  The names indicate which sides the border will be on.' . "\n";

echo '  Don\'t worry if you don\'t understand this, just ignore it :-)' . "\n";

echo '*/' . "\n";

echo 'td.cat,td.catHead,td.catBottom {' . "\n";

echo '	height: 29px;' . "\n";

echo '}' . "\n";

echo 'th.thHead,th.thSides,th.thTop,th.thLeft,th.thRight,th.thBottom,th.thCornerL,th.thCornerR {' . "\n";

echo '	font-weight: bold; border: ' . ( ( isset($this->_tpldata['.'][0]['T_TD_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TD_COLOR2'] : '' ) . '; border-style: solid; height: 28px; }' . "\n";

echo 'td.row3Right,td.spaceRow {' . "\n";

echo '	background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR3']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR3'] : '' ) . '; border: ' . ( ( isset($this->_tpldata['.'][0]['T_TH_COLOR3']) ) ? $this->_tpldata['.'][0]['T_TH_COLOR3'] : '' ) . '; border-style: solid; }' . "\n";

echo '' . "\n";

echo 'th.thHead,td.catHead { font-size: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE3']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE3'] : '' ) . 'px; border-width: 1px 1px 0px 1px; }' . "\n";

echo 'th.thSides,td.catSides,td.spaceRow	 { border-width: 0px 1px 0px 1px; }' . "\n";

echo 'th.thRight,td.catRight,td.row3Right	 { border-width: 0px 1px 0px 0px; }' . "\n";

echo 'th.thLeft,td.catLeft	  { border-width: 0px 0px 0px 1px; }' . "\n";

echo 'th.thBottom,td.catBottom  { border-width: 0px 1px 1px 1px; }' . "\n";

echo 'th.thTop	 { border-width: 1px 0px 0px 0px; }' . "\n";

echo 'th.thCornerL { border-width: 1px 0px 0px 1px; }' . "\n";

echo 'th.thCornerR { border-width: 1px 1px 0px 0px; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* The largest text used in the index page title and toptic title etc. */' . "\n";

echo '.maintitle	{' . "\n";

echo '			font-weight: bold; font-size: 22px; font-family: "' . ( ( isset($this->_tpldata['.'][0]['T_FONTFACE2']) ) ? $this->_tpldata['.'][0]['T_FONTFACE2'] : '' ) . '",' . ( ( isset($this->_tpldata['.'][0]['T_FONTFACE1']) ) ? $this->_tpldata['.'][0]['T_FONTFACE1'] : '' ) . ';' . "\n";

echo '			text-decoration: none; line-height : 120%; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . ';' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* General text */' . "\n";

echo '.gen { font-size : ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE3']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE3'] : '' ) . 'px; }' . "\n";

echo '.genmed { font-size : ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE2']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE2'] : '' ) . 'px; }' . "\n";

echo '.gensmall { font-size : ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE1']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE1'] : '' ) . 'px; }' . "\n";

echo '.gen,.genmed,.gensmall { color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . '; }' . "\n";

echo 'a.gen,a.genmed,a.gensmall { color: ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . '; text-decoration: none; }' . "\n";

echo 'a.gen:hover,a.genmed:hover,a.gensmall:hover	{ color: ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_HLINK']) ) ? $this->_tpldata['.'][0]['T_BODY_HLINK'] : '' ) . '; text-decoration: underline; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* The register, login, search etc links at the top of the page */' . "\n";

echo '.mainmenu		{ font-size : ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE2']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE2'] : '' ) . 'px; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . ' }' . "\n";

echo 'a.mainmenu		{ text-decoration: none; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . ';  }' . "\n";

echo 'a.mainmenu:hover{ text-decoration: underline; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_HLINK']) ) ? $this->_tpldata['.'][0]['T_BODY_HLINK'] : '' ) . '; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* Forum category titles */' . "\n";

echo '.cattitle		{ font-weight: bold; font-size: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE3']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE3'] : '' ) . 'px ; letter-spacing: 1px; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . '}' . "\n";

echo 'a.cattitle		{ text-decoration: none; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . '; }' . "\n";

echo 'a.cattitle:hover{ text-decoration: underline; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* Forum title: Text and link to the forums used in: index.php */' . "\n";

echo '.forumlink		{ font-weight: bold; font-size: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE3']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE3'] : '' ) . 'px; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . '; }' . "\n";

echo 'a.forumlink 	{ text-decoration: none; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . '; }' . "\n";

echo 'a.forumlink:hover{ text-decoration: underline; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_HLINK']) ) ? $this->_tpldata['.'][0]['T_BODY_HLINK'] : '' ) . '; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* Used for the navigation text, (Page 1,2,3 etc) and the navigation bar when in a forum */' . "\n";

echo '.nav			{ font-weight: bold; font-size: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE2']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE2'] : '' ) . 'px; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . ';}' . "\n";

echo 'a.nav			{ text-decoration: none; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . '; }' . "\n";

echo 'a.nav:hover		{ text-decoration: underline; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* titles for the topics: could specify viewed link colour too */' . "\n";

echo '.topictitle			{ font-weight: bold; font-size: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE2']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE2'] : '' ) . 'px; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . '; }' . "\n";

echo 'a.topictitle:link   { text-decoration: none; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . '; }' . "\n";

echo 'a.topictitle:visited { text-decoration: none; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_VLINK']) ) ? $this->_tpldata['.'][0]['T_BODY_VLINK'] : '' ) . '; }' . "\n";

echo 'a.topictitle:hover	{ text-decoration: underline; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_HLINK']) ) ? $this->_tpldata['.'][0]['T_BODY_HLINK'] : '' ) . '; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* Name of poster in viewmsg.php and viewtopic.php and other places */' . "\n";

echo '.name			{ font-size : ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE2']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE2'] : '' ) . 'px; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . ';}' . "\n";

echo '' . "\n";

echo '/* Location, number of posts, post date etc */' . "\n";

echo '.postdetails		{ font-size : ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE1']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE1'] : '' ) . 'px; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . '; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* The content of the posts (body of text) */' . "\n";

echo '.postbody { font-size : ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE3']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE3'] : '' ) . 'px; line-height: 18px}' . "\n";

echo 'a.postlink:link	{ text-decoration: none; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . ' }' . "\n";

echo 'a.postlink:visited { text-decoration: none; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_VLINK']) ) ? $this->_tpldata['.'][0]['T_BODY_VLINK'] : '' ) . '; }' . "\n";

echo 'a.postlink:hover { text-decoration: underline; color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_HLINK']) ) ? $this->_tpldata['.'][0]['T_BODY_HLINK'] : '' ) . '}' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* Quote & Code blocks */' . "\n";

echo '.code {' . "\n";

echo '	font-family: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTFACE3']) ) ? $this->_tpldata['.'][0]['T_FONTFACE3'] : '' ) . '; font-size: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE2']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE2'] : '' ) . 'px; color: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTCOLOR2']) ) ? $this->_tpldata['.'][0]['T_FONTCOLOR2'] : '' ) . ';' . "\n";

echo '	background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TD_COLOR1']) ) ? $this->_tpldata['.'][0]['T_TD_COLOR1'] : '' ) . '; border: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR3']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR3'] : '' ) . '; border-style: solid;' . "\n";

echo '	border-left-width: 1px; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo '.quote {' . "\n";

echo '	font-family: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTFACE1']) ) ? $this->_tpldata['.'][0]['T_FONTFACE1'] : '' ) . '; font-size: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE2']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE2'] : '' ) . 'px; color: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTCOLOR1']) ) ? $this->_tpldata['.'][0]['T_FONTCOLOR1'] : '' ) . '; line-height: 125%;' . "\n";

echo '	background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TD_COLOR1']) ) ? $this->_tpldata['.'][0]['T_TD_COLOR1'] : '' ) . '; border: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR3']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR3'] : '' ) . '; border-style: solid;' . "\n";

echo '	border-left-width: 1px; border-top-width: 1px; border-right-width: 1px; border-bottom-width: 1px' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* Copyright and bottom info */' . "\n";

echo '.copyright		{ font-size: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE1']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE1'] : '' ) . 'px; font-family: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTFACE1']) ) ? $this->_tpldata['.'][0]['T_FONTFACE1'] : '' ) . '; color: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTCOLOR1']) ) ? $this->_tpldata['.'][0]['T_FONTCOLOR1'] : '' ) . '; letter-spacing: -1px;}' . "\n";

echo 'a.copyright		{ color: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTCOLOR1']) ) ? $this->_tpldata['.'][0]['T_FONTCOLOR1'] : '' ) . '; text-decoration: none;}' . "\n";

echo 'a.copyright:hover { color: ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . '; text-decoration: underline;}' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* Form elements */' . "\n";

echo 'input,textarea, select {' . "\n";

echo '	color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . ';' . "\n";

echo '	font: normal ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE2']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE2'] : '' ) . 'px ' . ( ( isset($this->_tpldata['.'][0]['T_FONTFACE1']) ) ? $this->_tpldata['.'][0]['T_FONTFACE1'] : '' ) . ';' . "\n";

echo '	border-color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . ';' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo '/* The text input fields background colour */' . "\n";

echo 'input.post, textarea.post, select {' . "\n";

echo '	background-color : ' . ( ( isset($this->_tpldata['.'][0]['T_TD_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TD_COLOR2'] : '' ) . ';' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo 'input { text-indent : 2px; }' . "\n";

echo '' . "\n";

echo '/* The buttons used for bbCode styling in message post */' . "\n";

echo 'input.button {' . "\n";

echo '	background-color : ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR1']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR1'] : '' ) . ';' . "\n";

echo '	color : ' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . ';' . "\n";

echo '	font-size: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTSIZE2']) ) ? $this->_tpldata['.'][0]['T_FONTSIZE2'] : '' ) . 'px; font-family: ' . ( ( isset($this->_tpldata['.'][0]['T_FONTFACE1']) ) ? $this->_tpldata['.'][0]['T_FONTFACE1'] : '' ) . ';' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo '/* The main submit button option */' . "\n";

echo 'input.mainoption {' . "\n";

echo '	background-color : ' . ( ( isset($this->_tpldata['.'][0]['T_TD_COLOR1']) ) ? $this->_tpldata['.'][0]['T_TD_COLOR1'] : '' ) . ';' . "\n";

echo '	font-weight : bold;' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo '/* None-bold submit button */' . "\n";

echo 'input.liteoption {' . "\n";

echo '	background-color : ' . ( ( isset($this->_tpldata['.'][0]['T_TD_COLOR1']) ) ? $this->_tpldata['.'][0]['T_TD_COLOR1'] : '' ) . ';' . "\n";

echo '	font-weight : normal;' . "\n";

echo '}' . "\n";

echo '' . "\n";

echo '/* This is the line in the posting page which shows the rollover' . "\n";

echo '  help line. This is actually a text box, but if set to be the same' . "\n";

echo '  colour as the background no one will know ;)' . "\n";

echo '*/' . "\n";

echo '.helpline { background-color: ' . ( ( isset($this->_tpldata['.'][0]['T_TR_COLOR2']) ) ? $this->_tpldata['.'][0]['T_TR_COLOR2'] : '' ) . '; border-style: none; }' . "\n";

echo '' . "\n";

echo '' . "\n";

echo '/* Import the fancy styles for IE only (NS4.x doesn\'t use the @import function) */' . "\n";

echo '@import url("templates/DesertStorm/formIE.css");' . "\n";

echo '-->' . "\n";

echo '</style>' . "\n";

echo '</head>' . "\n";

echo '' . "\n";

echo '<body bgcolor="' . ( ( isset($this->_tpldata['.'][0]['T_BODY_BGCOLOR']) ) ? $this->_tpldata['.'][0]['T_BODY_BGCOLOR'] : '' ) . '" text="' . ( ( isset($this->_tpldata['.'][0]['T_BODY_TEXT']) ) ? $this->_tpldata['.'][0]['T_BODY_TEXT'] : '' ) . '" link="' . ( ( isset($this->_tpldata['.'][0]['T_BODY_LINK']) ) ? $this->_tpldata['.'][0]['T_BODY_LINK'] : '' ) . '" vlink="' . ( ( isset($this->_tpldata['.'][0]['T_BODY_VLINK']) ) ? $this->_tpldata['.'][0]['T_BODY_VLINK'] : '' ) . '">' . "\n";

echo '<span class="gen"><a name="top"></a></span>' . "\n";

echo '' . "\n"; 

 ?>